Bug 1021909 - Removing /boot partition - no warning when using custom "LVM Thin Provisioning" [NEEDINFO]
Removing /boot partition - no warning when using custom "LVM Thin Provisioning"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 06:13 EDT by Marian Csontos
Modified: 2014-02-26 16:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 15:31:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlehman: needinfo? (mcsontos)


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-10-22 06:13:06 EDT
Description of problem:
Using Custom partitioning with LVM Thin Provisioning. Asking anaconda to create default layout.

After removing /boot, the change is accepted. Pressing Done after confirming changes, moved to the hub where Installation destination says only: "Error checking storage configuration".

Going back to Storage configuration, select Custom partitioning, no explanation what's wrong there.

Version-Release number of selected component (if applicable):
20.25-1

How reproducible:
100%

Steps to Reproduce:
1. select LVM Thin Provisioning Custom partitioning
2. ask anaconda to create default layout
3. remove /boot (which is acceptable for plain (linear) LV)

Actual results:
Error without further explanation.

Expected results:
Should the spoke have the same orange status as other spokes with errors?
Comment 1 David Lehman 2013-10-22 10:40:38 EDT
I think what's being reported here is that if you enter "Installation Destination" there is a banner at the bottom you can click on to get error details, but if you click through that without looking around at all the info bar is cleared when the custom storage spoke is entered.
Comment 2 Marian Csontos 2013-10-23 07:32:18 EDT
I got no warning at all with anaconda-20.25.1-1 (using kickstart without any storage bits) and installation happily proceeds creating unbootable system (in fact it is dual boot, so I can boot it and fix the issue...)
Comment 3 David Lehman 2013-10-24 12:43:56 EDT
A normal install with 20.25.1-1 shows an error and prevents the user from starting the installation process because /boot cannot be on a thin lv, so this must be specific to using a partial kickstart.
Comment 4 Marian Csontos 2013-10-25 05:58:39 EDT
anaconda-20.25.1-1:

Install without kickstart indeed displays an error in the hub, in the "Install destination" screen, but not in the "Manual partitioning" screen, which may be "work as intended" but other spokes show the "warning" where there is misconfiguration. It would inform user about the mistake before leaving the spoke and having to go back again.

With a ks there is "No bootloader selected" error in the hub[1], after going to "Full disk summary and bootloader..." it will disappear and the installation proceeds fine without checking /boot.

[1] Bug 916529 - Anaconda should install bootloader or ask when no bootloader option is present in kickstart

The kickstart looks like this:

    #version=DEVEL
    # Use network installation
    url --url="http://10.34.48.241/fedora/linux/development/20/x86_64/os/"
    repo --name="bz1013767" --baseurl=http://192.168.144.1/repos/bz1013767/f20/x86_64/
    
    # Run the Setup Agent on first boot
    firstboot --enable
    
    # Keyboard layouts
    keyboard --vckeymap=us --xlayouts='us'
    # System language
    lang en_US.UTF-8
    
    # Network information
    network  --bootproto=dhcp --device=ens3 --noipv6 --activate
    network  --hostname=testf20.stacker
    
    # System authorization information
    auth --enableshadow --passalgo=sha512
    
    # Root password
    rootpw root
    
    # System timezone
    timezone Europe/Prague --isUtc
    
    %packages
    @core
    %end
Comment 5 Marian Csontos 2013-10-25 06:01:11 EDT
Basically I am using the kickstart to specify defaults (repo, keyboard layout, timezone, packages,...) and I do not want it to affect disks (I want to be able to specify disk partitioning using GUI what is not unreasonable IMO)
Comment 6 David Lehman 2013-10-29 14:13:34 EDT
Please attach /tmp/anaconda.log and /tmp/storage.log. Thanks.
Comment 7 Leslie Satenstein 2013-12-17 10:35:19 EST
I cant install Fedora 20  on my netbook with Thin LVM

Anaconda will not accept to take the entire disk.

Need a utiilty to wipe the disk clean!

FEDORA 20
Comment 8 David Lehman 2013-12-17 11:18:56 EST
(In reply to Leslie Satenstein from comment #7)
> I cant install Fedora 20  on my netbook with Thin LVM
> 
> Anaconda will not accept to take the entire disk.
> 
> Need a utiilty to wipe the disk clean!
> 
> FEDORA 20

Please open a separate bug report and include detailed information, including the usual log files from /tmp: anaconda.log, storage.log, syslog. Thanks.
Comment 9 Leslie Satenstein 2014-02-26 16:15:15 EST
Re my #8
Since I could not get F20 to install on the Netbook, I chose Mint16 in its place. I cannot free a system to try to correct the above problem. 

I am sure that F21 will have a corrected anaconda that probably will look different than the F20 version and will install properly.

Sorry to not respond sooner,

Note You need to log in before you can comment on or make changes to this bug.